# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Retrieve report details You can retrieve the details of all reports or a singular report using the following methods: - Retrieve details of all reports - Retrieve details of a report using the report-id The report details consist of the following fields: **Report detail fields** | Field name | Description | | --- | --- | | reportIdentifier | Unique identifier of a report. | | reportConfigurationId | A system-generated unique identifier for a report configuration. | | reportTypeNames | The names of the report types. | | reportStatus | Status of the report. Valid values are: - Requested — The report is scheduled and yet to be run. - Initiated — The report data is being generated. - Completed — The report completed successfully. - Errored — The report failed due to an error. | | updateTimestamp | Indicates the specific time of the day ( in hour, minute and second) when the configuration was most recently updated. | | createTimestamp | Designates the hour, minute, and second on a specific day when the record was created. | | intervalParam | Interval parameter object. Contains two types of object structure: - Adhoc - Scheduled | | intervalParam.scheduleFrequency (Adhoc & Scheduled) | Specifies when report generation should begin, not when the report has completed. | | intervalParam.reportingPeriodStartTimestamp (Adhoc) | Specifies the starting point for data collection. | | intervalParam.reportingPeriodEndTimestamp (Adhoc) | Specifies the ending point for data collection. | | intervalParam.reportingPeriodStartTime (Scheduled) | Specifies the starting point for data collection. | | reportDetails | Object that contains the details of the report. | | reportDetails.reportFileName | The merchant defined name for report file. By default=> "Entity ID". "Report Type" . "frequency". "From Date YYYY-MM-DD". "To Date YYYY-MM-DD" | | reportDetails.url | Reference to a web resource (/report-files/{report-id}) for retrieving the report data. | | errorMessage | Describes a message if problem occurred or error preventing the system from completing a task. | > You can retrieve the data in a report by using the request URL in the field **reportDetails.URL**. The URL contains a **GET** request to the **/report-files/{report-id}** endpoint, which returns the report data in the JSON reponse payload. > > For more information, refer to [how to retrieve report data](/docs/commerce/optimization-protection/capabilities/reporting/how-to/retrieve-reports). > ## Retrieve details of all reports You can retrieve the details of all reports by sending a **`GET` **request to the** `/reports`** endpoint or filter the result set using the following query parameters: - reportConfigurationId - The unique identifier of a report configuration. - reportStartDate - Report creation start date in the format- YYYY-MM-DD. - reportEndDate - Report creation end date in the format- YYYY-MM-DD. > If you are retrieving reports for a single day, ensure the `reportStartDate` and `reportEndDate` are on different days. > > For example, to retrieve all reports for November 24th the start and end timestamps must be: > > > - reportStartDate = 2025-11-24 > > - reportEndDate= 2025-11-25 > **HTTP method:** `GET` **Endpoint:** `/reports?reportConfigurationId=193544e3-0fdf-472e-8cae-798ff88da609` **Scenario:** Retrieve the details of reports with `reportConfigurationId` = 193544e3-0fdf-472e-8cae-798ff88da609. ```json { "next": null, "summarizedReports": [ { "reportIdentifier": "6ee97665-8d2c-424c-859a-dd98a9e4e0ca", "reportConfigurationId": "193544e3-0fdf-472e-8cae-798ff88da609", "reportTypeNames": [ "Transaction Details" ], "reportStatus": "completed", "updateTimestamp": "2021-08-20T00:23:05.353Z", "createTimestamp": "2021-08-20T00:19:05.353Z", "intervalParam": { "reportingPeriodStartTimestamp": "2021-08-20 00:18:18", "reportingPeriodEndTimestamp": "2021-08-20 00:19:18", "scheduleFrequency": "adhoc" }, "reportDetails": { "reportFileName": "992994469896.Multiple.adhoc.2021-08-20.2021-08-20", "url": "https://sample-report-url" } } ], "lastPage": true } ``` > The GET /reports response uses pagination. Learn more about [pagination](/docs/commerce/optimization-protection/capabilities/reporting/pagination). > ## Retrieve details of a report You can retrieve the details of a particular report by sending a `**GET**` request to the `**/reports/{report-d}**` endpoint. **HTTP method**: `GET` **Endpoint**: `/reports/c6a6f075-64d5-476f-b463-bc1c5de1abd7` **Scenario:** Retrieve the details of the report with `report-id` = c6a6f075-64d5-476f-b463-bc1c5de1abd7 ```json { "reportIdentifier": "c6a6f075-64d5-476f-b463-bc1c5de1abd7", "reportConfigurationId": "ca788ad9-521c-45ec-b36d-0fdd38701e4d", "reportTypeNames": [ "Settlement Summary", "Settlement Details" ], "reportStatus": "completed", "updateTimestamp": "2021-08-20T00:23:05.353Z", "createTimestamp": "2021-08-20T00:19:05.353Z", "intervalParam": { "reportingPeriodStartTimestamp": "2021-08-20 00:18:18", "reportingPeriodEndTimestamp": "2021-08-20 00:19:18", "scheduleFrequency": "adhoc" }, "reportDetails": { "reportFileName": "992994469896.Multiple.adhoc.2021-08-20.2021-08-20", "url": "https://helix-data-reporting-files-int.uat.aws.jpmchase.net/api/v1/report-files/c6a6f075-64d5-476f-b463-bc1c5de1abd7" } } ``` ## Related [Report types](/docs/commerce/optimization-protection/capabilities/reporting/report-types) [Report configuration](/docs/commerce/optimization-protection/capabilities/reporting/report-configurations/scheduled-adhoc) [Retrieve reports](/docs/commerce/optimization-protection/capabilities/reporting/how-to/retrieve-reports)